Subject: Re: bug#24675: 26.0.50; Misleading suggestion in Ediff Info manual

From: Glenn Morris <[email-masked]>
Date: Tue, 13 Dec 2016 13:03:32 -0500

Philipp Stephani wrote:

> The Ediff Info manual, in section 7.1 "Hooks", says:
>
> 'ediff-cleanup-hook'
>      This hook is run just before 'ediff-quit-hook'.  This is a good
>      place to do various cleanups, such as deleting the variant buffers.
>      Ediff provides a function, 'ediff-janitor', as one such possible
>      hook, which you can add to 'ediff-cleanup-hook' with 'add-hook'.
>
> However, ediff-cleanup-hook is a normal hook, and ediff-janitor is a
> function taking two required arguments, so it cannot be added to
> ediff-cleanup-hook.  The manual should e.g. state that a lambda wrapping
> ediff-janitor can be added to ediff-cleanup-hook, but not ediff-janitor
> itself.

It seems the doc hasn't been updated in the past 14 years.
Before 50a07e1, there was a single optional argument.
You might be one of the few users of this functionality, so maybe you
would like to fix the doc yourself? (Making the arguments optional is
an additional possibility?)

Since the use of lambda for hooks is basic (eg documented in the
"Hooks" section of the manual), personally I don't see a need to
mention it here or in other places that refer to normal hook uses.